import {select, circle} from 'd3';

export const colorLegend= (selection, props)=>{
	const {
    colorScale,
    spacing,
    circleRadius
  }=props;
  
  const g= selection.selectAll('g')
  	.data(colorScale.domain());
  
  const colorG= g.enter().append('g');
 
  colorG.merge(g)
  	.attr('transform',(d,i) =>
          `translate(0,${i*spacing})`);
  
	g.exit().remove();
  
	colorG.append('circle')
  	.merge(g.select('circle'))
  	.attr('r', circleRadius)
  	.attr('fill',colorScale);
  
  colorG.append('text')
  	.merge(g.select('text'))
  	.text(d => d)
  	.attr('dy','0.32em')
  	.attr('x',20);
  
}